Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.application
Interface ApplicationContext

All Superinterfaces:
  weblogic.application.library.LibraryContext

    public interface ApplicationContext

extends weblogic.application.library.LibraryContext

The ApplicationContext is used by ApplicationLifecycleListeners to receive information about their current application.

Method Summary
`weblogic.management.configuration.AppDeploymentMBean` | `getAppDeploymentMBean()` Returns the AppDeploymentMBean for this Application.
`String` | `getApplicationId()` Returns the application identifier, which is the application name for non-versioned apps, and is a composition of both the application name and version identifier for versioned apps.
`String` | `getApplicationName()` Deprecated. The preferred way to obtain the application name and id (for versioned apps) is the getApplicationId() method. This method will be removed when all current users (including platform) are migrated to use the new getApplicationId call.
`String` | `getApplicationSecurityRealmName()` Returns the realm name specified in weblogic-application.xml.

Methods inherited from interface weblogic.application.library.LibraryContext
`addClassFinder, getApplicationDD, getApplicationDescriptor, getContextRootOverrideMap, getRefappName, getRefappUri, notifyDescriptorUpdate, registerLink, registerLink, setContextRootOverrideMap`

Method Detail

### getAppDeploymentMBean

    weblogic.management.configuration.AppDeploymentMBean getAppDeploymentMBean()

  Returns the AppDeploymentMBean for this Application.

### getApplicationName

    String getApplicationName()

  Deprecated. The preferred way to obtain the application name and id (for versioned apps) is the getApplicationId() method. This method will be removed when all current users (including platform) are migrated to use the new getApplicationId call.

  Returns the application name (without the version identifier)

### getApplicationId

    String getApplicationId()

  Returns the application identifier, which is the application name for non-versioned apps, and is a composition of both the application name and version identifier for versioned apps.

### getApplicationSecurityRealmName

    String getApplicationSecurityRealmName()

  Returns the realm name specified in weblogic-application.xml. If no realm is declared, then the default realm name is returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD